activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Tully <gary.tu...@gmail.com>
Subject Re: ActiveMQ 5.10 compatibility with KahaDB
Date Fri, 04 Jul 2014 15:48:15 GMT
That is not good. We try and do auto updates  - the test is at
https://github.com/apache/activemq/blob/trunk/activemq-unit-tests/src/test/java/org/apache/activemq/store/kahadb/KahaDBVersionTest.java

I wonder what is different in your store?
You could just rebuild the index, use forceRecoverIndex on kahaDB for
the first restart after an upgrade and that should work ok.

It would be great if you could modify the exisitng test case we have,
to demonstrate the failure.

On 4 July 2014 15:41, khandelwalanuj <khandelwal.anuj90@gmail.com> wrote:
> Hi,
>
> I am using ActiveMQ 5.8 and trying to switch to ActiveMQ 5.10. The problem
> here is that I have to clear the kahaDB before switch otherwise I get error.
> This also happens if I want to switch back from 5.10 to 5.8.
>
> Everytime we need to clear the kahaDB
>
> Error:
>
> "java.io.IOException: Could not load journal record. Invalid location:
> 1:978"
>
>
>
> Thanks,
> Anuj
>
>
>
>
>
>
> --
> View this message in context: http://activemq.2283324.n4.nabble.com/ActiveMQ-5-10-compatibility-with-KahaDB-tp4682812.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.



-- 
http://redhat.com
http://blog.garytully.com

Mime
View raw message